Subject: bug#75634: 29.1; Clearer prompt in info-lookup-change-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 20:39:45 +0200

> From: Howard Melman <[email-masked]>
> Date: Sat, 18 Jan 2025 11:11:52 -0500
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> The prompt is in info-lookup-change-mode and the "symbol" is
> >> either "symbol" or "file" depending on how the lookup
> >> command was invoked.  I think something like "Major-mode to
> >> lookup %s with: " would be much clearer.
> >
> > How about
> >
> >   Major mode to use for looking up help on this %s
> >
> > instead?
> 
> It's better than original.
> 
> 1. I don't love "help" in here, because it's not using
> help-mode but is looking up documentation in info manuals.

Then I can suggest

  Major mode whose documentation to look up about this %s

> 2. Both your and my suggestions suffer that they don't
> explain that the major mode is used to qualify the symbol
> (it's a lisp symbol) and not the "lookup mode" (like help or
> info or man).
> 
> How about this?
> 
>   Use which major mode's manuals to lookup this %s

This is confusing English-wise, IMO.  Please see if my suggestion
above solves your problem #2 as well.